
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

function validate()
{
	resetColorLabels('campos2','');
	
	var erro = 0;
	var msg='\nPreencha os seguintes campos:\n';

	/*------------------------------------------------------------------------
	|        VERIFICANDO PREENCHIMENTO DE CAMPOS OBRIGATORIOS                |
	-------------------------------------------------------------------------*/

	/* VERIFICANDO CAMPO DE CODIGO DA COORDENADORIA */
	if(isEmpty(document.getElementById('form_codCoordenadoria').value))
	{
		msg+='\n -> C�digo de Coordenadoria';
        if(erro==0)
	        document.getElementById('form_codCoordenadoria').focus();
        erro=1;
        
        changeBack('l_codCoordenadoria','form_codCoordenadoria','label_alert','field_alert');
	}
	
	/* VERIFICANDO CAMPO DE NOME DA COORDENADORIA */
	if(isEmpty(document.getElementById('form_nomeCoordenadoria').value))
	{
		msg+='\n -> Nome de Coordenadoria';
        if(erro==0)
	        document.getElementById('form_nomeCoordenadoria').focus();
        erro=1;
        
        changeBack('l_nomeCoordenadoria','form_nomeCoordenadoria','label_alert','field_alert');
	}
	
	/* VERIFICANDO CAMPO DE NOME DO COORDENADOR */
	if(isEmpty(document.getElementById('form_nomeCoordenador').value))
	{
		msg+='\n -> Nome do Coordenador';
        if(erro==0)
	        document.getElementById('form_nomeCoordenador').focus();
        erro=1;
        
        changeBack('l_nomeCoordenador','form_nomeCoordenador','label_alert','field_alert');
	}
	
	/* VERIFICANDO CAMPO DE MATRICULA DO COORDENADOR */
	if(isEmpty(document.getElementById('form_matriculaCoordenador').value))
	{
		msg+='\n -> Matr�cula do Coordenador';
        if(erro==0)
	        document.getElementById('form_matriculaCoordenador').focus();
        erro=1;
        
        changeBack('l_matriculaCoordenador','form_matriculaCoordenador','label_alert','field_alert');
	}
	
	/*------------------------------------------------------------------------
	|				VALIDANDO DADOS DE ENDERE�O DE COORDENADORIA			  |
	-------------------------------------------------------------------------*/
	
	
	/* VERIFICANDO CAMPO DE LOGRADOURO */
	if( isEmpty(document.getElementById('form_logradouroNomeCoord').value) )
	{
		msg+='\n -> Logradouro';
		changeBack('l_logradouroNomeCoord','form_logradouroNomeCoord','label_alert','field_alert');
		if(erro==0)
			document.getElementById('form_logradouroNomeCoord').focus();
		erro=1;
	}

	/* VERIFICANDO CAMPO DE NUMERO DE LOGRADOURO */
	if( isEmpty(document.getElementById('form_logradouroNumeroCoord').value) )
	{
		msg+='\n -> Numero';
		changeBack('l_logradouroNumeroCoord','form_logradouroNumeroCoord','label_alert','field_alert');
		if(erro==0)
			document.getElementById('form_logradouroNumeroCoord').focus();
		erro=1;
	}
	
	/* VERIFICANDO CAMPO DE BAIRRO DE LOGRADOURO */
	if( isEmpty(document.getElementById('form_logradouroBairroCoord').value) )
	{
		msg+='\n -> Bairro';
		changeBack('l_logradouroBairroCoord','form_logradouroBairroCoord','label_alert','field_alert');
		if(erro==0)
			document.getElementById('form_logradouroBairroCoord').focus();
		erro=1;
	}

	/* VERIFICANDO CAMPO DE CEP */
	if( isEmpty(document.getElementById('form_logradouroCepCoord').value) )
	{
		msg+='\n -> CEP';
		changeBack('l_logradouroCepCoord','form_logradouroCepCoord','label_alert','field_alert');
		if(erro==0)
			document.getElementById('form_logradouroCepCoord').focus();
		erro=1;
	}
	
	/* VALIDANDO TELEFONES DA COORDENADORIA */
	if(document.getElementById('form_semTelefone').checked == false)
	{
		if(isEmpty(document.getElementById('form_telCoord1').value) && 
				isEmpty(document.getElementById('form_telCoord2').value) &&
				isEmpty(document.getElementById('form_telCoord3').value))
		{
			msg+='\n -> Telefones da Coordenadoria';
			changeBack('l_telsCoord','form_telCoord1','label_alert','field_alert');
			if(erro==0){
				document.getElementById('form_telCoord1').focus();
			}
        	erro=1;
		}
	}
	
	/* VALIDANDO TELEFONE PUBLICO */
	/*if(document.getElementById('form_semTelefone').checked == false)
	{
		if( isEmpty(document.getElementById('form_telCoordPublico').value) )
		{
			msg+='\n -> Telefone P�blico';
			changeBack('l_telCoordPublico','form_telCoordPublico','label_alert','field_alert');
			if(erro==0)
				document.getElementById('form_telCoordPublico').focus();
			erro=1;
		}
	}*/
		
	if(erro==0)
		return true;
	else
	{
		alert(msg);
		return false;
	}
}